<?php

namespace App\JsonRpc;
interface AdServiceInterface
{
    /**
     * @param array $data
     * @return string
     */
    public function createAd(array $data): array;

    /**
     * @param array $data
     * @return mixed
     */
    public function getAdList(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function updateAd(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function delAd(array $data);

    /**
     * @param int $id
     * @return array
     */
    public function getAdInfo(int $id): array;

    /**
     * @param array $data
     * @return mixed
     */
    public function getAdPlaceList(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function createAdPlace(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function updateAdPlace(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function delAdPlace(array $data);

    /**
     * @param int $id
     * @return array
     */
    public function getAdPlaceInfo(int $id);

}